sylseg-sk-training(1)

NAME
sylseg-sk-training - train the statistic for the syllabic segmentation

SYNOPSIS
sylseg-sk-training [--color] [--dl debug level] [--help] [<input file>]

DESCRIPTION
The syllabic segmentation is essential for some linguistic or speech recognition applications. Depending on the language either rule-based or statistical approach is being used. For Slovak, the statistical approach seems to be more suitable.

sylseg-sk-training creates the necessary data for one of the statistical approaches for the syllabic segmentation. The input data are expected to be word segmented into syllables. The syllabic separator should be "-". If no input file is specified, the standard input is expected. The output is written into the file. The filename is input filename with the extension ".statistics". If standard input is used, then the output filename is syl_output.statistics.

The design of the sylseg-sk-training is language independent. Theoretically it should work for any language.

OPTIONS

--color
    Enable color output.

--dl
    Set the debug level. Control the amount of displayed information Debug level 0 displays nothing. The maximum level 5 displays a full debugging report. The default debug level is 1.

--help
    Display a short help text.

EXAMPLES

Use file aaa.txt as training input and set up debug level to 3:
    sylseg-sk-training --dl 3 aaa.txt

EXIT STATUS
sylseg-sk-training returns zero if the training succeeds.

AUTHOR
Jozef Ivanecky (dodo (at) kanoistika.sk)

SEE ALSO
sylseg-sk(1)